- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/floodlightGroups.floodlightActivities/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/floodlightGroups.floodlightActivities/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/floodlightGroups.floodlightActivities/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/floodlightGroups.floodlightActivities/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/floodlightGroups.floodlightActivities/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v4/floodlightGroups.floodlightActivities/list#body.ListFloodlightActivitiesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/floodlightGroups.floodlightActivities/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/floodlightGroups.floodlightActivities/list#try-it)

Lists Floodlight activities in a Floodlight group.

### HTTP request

`GET https://displayvideo.googleapis.com/v4/floodlightGroups/{floodlightGroupId}/floodlightActivities`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `floodlightGroupId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the parent Floodlight group to which the requested Floodlight activities belong. |

### Query parameters

| Parameters ||
|---|---|
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the partner through which the Floodlight activities are being accessed. |
| `pageSize` | `integer` Optional. Requested page size. Must be between `1` and `200`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v4/floodlightGroups.floodlightActivities/list#body.ListFloodlightActivitiesResponse.FIELDS.next_page_token` returned from the previous call to `floodlightActivities.list` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Optional. Field by which to sort the list. Acceptable values are: - `displayName` (default) - `floodlightActivityId` The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: `displayName desc`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "floodlightActivities": [ { object (`https://developers.google.com/display-video/api/reference/rest/v4/floodlightGroups.floodlightActivities#FloodlightActivity`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `floodlightActivities[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/floodlightGroups.floodlightActivities#FloodlightActivity`)`` The list of Floodlight activities. This list will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/api/reference/rest/v4/floodlightGroups.floodlightActivities/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `floodlightActivities.list` method to retrieve the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).